//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <iterator>
#include <list>
#include <algorithm>

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;


std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}


int main(int argc, char* argv[])
{
  list<int> coll;
  
  //    1  9 
  for (int i=1; i<=9; ++i) {
    coll.push_back(i); 
  }

  list<int>::iterator pos = coll.begin();

  //    
  cout << ToRus(" : ");
  cout << *pos << endl;

  //      
  advance (pos, 3);

  //    
  cout << ToRus(" : ");
  cout << *pos << endl;

  //      
  advance (pos, -1);
  //    
  cout << ToRus(" : ");
  cout << *pos << endl;

  getch();
  return 0;
}

//---------------------------------------------------------------------------